Invalid session. Reopen RTX Chat from desktop to continue chatting

Was able to get RTX Chat running on my host desktop but wanted to access it via LAN on another laptop and through public address.

followed this guide Chat with RTX Easy Guide: Running on LAN & Making It Pu

and modified the user_interface.py code

I get thie error Whenever I try to access the address from another device.
Or through the public adress.

“Invalid session. Reopen RTX Chat from desktop to continue chatting”

BlockquoteTraceback (most recent call last):
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\RAG\trt-llm-rag-windows-main\ui\user_interface.py”, line 600, in _validate_session_and_raise
self._validate_request(request)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\RAG\trt-llm-rag-windows-main\ui\user_interface.py”, line 307, in _validate_request
raise ‘session validation failed’
TypeError: exceptions must derive from BaseException
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\gradio\queueing.py”, line 495, in call_prediction
output = await route_utils.call_process_api(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\gradio\route_utils.py”, line 232, in call_process_api
output = await app.get_blocks().process_api(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\gradio\blocks.py”, line 1561, in process_api
result = await self.call_function(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\gradio\blocks.py”, line 1179, in call_function
prediction = await anyio.to_thread.run_sync(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\anyio\to_thread.py”, line 33, in run_sync
return await get_asynclib().run_sync_in_worker_thread(
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\anyio_backends_asyncio.py”, line 877, in run_sync_in_worker_thread
return await future
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\anyio_backends_asyncio.py”, line 807, in run
result = context.run(func, *args)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\env_nvd_rag\lib\site-packages\gradio\utils.py”, line 678, in wrapper
response = f(*args, **kwargs)
File “C:\Users\pasto\AppData\Local\NVIDIA\ChatWithRTX\RAG\trt-llm-rag-windows-main\ui\user_interface.py”, line 602, in _validate_session_and_raise
raise gr.Error(‘Invalid session’)
gradio.exceptions.Error: ‘Invalid session’

I’ve also allowed Gradio through my Security exceptions.

Edit: to also add onto this I was able to access the public address by combining the public gradio link with my session cookie.

However another device on the same LAN won’t even load in to the UI when trying to access the Server IP or Server IP+Session cookie.

2 Likes

Also to add to this. Once you create a public link is there a way to make it last longer than 72hour demo?
There’s a gradio app deploy that I’ve run and inputted the write key from my hugging faces account.

What do I do after that?